For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet a counterpart's contacts
      • POSTCreate a counterpart contact
      • GETGet a counterpart's contact
      • DELDelete a counterpart's contact
      • PATCHUpdate a counterpart's contact
      • POSTSet a counterpart's default contact
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonCounterpart contacts

Set a counterpart's default contact

POST
/counterparts/:counterpart_id/contacts/:contact_id/make_default
POST
/v1/counterparts/:counterpart_id/contacts/:contact_id/make_default
$curl -X POST https://api.sandbox.monite.com/v1/counterparts/counterpart_id/contacts/contact_id/make_default \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "address": {
4 "city": "Berlin",
5 "country": "AF",
6 "line1": "Flughafenstrasse 52",
7 "postal_code": "10115",
8 "line2": "line2",
9 "state": "state"
10 },
11 "counterpart_id": "counterpart_id",
12 "first_name": "Mary",
13 "is_default": true,
14 "last_name": "O'Brien",
15 "email": "contact@example.org",
16 "phone": "5551235476",
17 "title": "Ms."
18}
Was this page helpful?
Previous

Get a counterpart's VAT IDs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

contact_idstringRequired
counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
addressobject
The address of a contact person.
counterpart_idstringformat: "uuid"
first_namestring<=100 characters
The first name of a contact person.
is_defaultboolean
last_namestring<=100 characters
The last name of a contact person.
emailstringformat: "email"
The email address of a contact person.
phonestring<=100 characters
The phone number of a contact person
titlestring<=100 characters

The title or honorific of a contact person. Examples: Mr., Ms., Dr., Prof.

Errors

401
Post Counterparts ID Contacts ID Make Default Request Unauthorized Error
403
Post Counterparts ID Contacts ID Make Default Request Forbidden Error
404
Post Counterparts ID Contacts ID Make Default Request Not Found Error
409
Post Counterparts ID Contacts ID Make Default Request Conflict Error
422
Post Counterparts ID Contacts ID Make Default Request Unprocessable Entity Error
500
Post Counterparts ID Contacts ID Make Default Request Internal Server Error